Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Solid Edge
  Strukturauflösung von einem Schweißteil.

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Strukturauflösung von einem Schweißteil. (919 mal gelesen)
DieGraetsche
Mitglied
Informatiker


Sehen Sie sich das Profil von DieGraetsche an!   Senden Sie eine Private Message an DieGraetsche  Schreiben Sie einen Gästebucheintrag für DieGraetsche

Beiträge: 61
Registriert: 28.09.2007

erstellt am: 22. Mrz. 2010 17:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


sample.zip

 
Hallo zusammen,

Ich habe mal wieder ein kleines Problem. Ich versuche gerade per VB.net eine Struktur-Auflösung einer Schweißkonstruktion.

Meine Prozedur rufe ich rekursive auf, damit ich jede Ebene der Struktur analysieren kann. (z.B. Properties auslesen, etc.)

Hier meine Prozedur

Code:
    Public Sub TestFunc(ByVal pObject As SolidEdgeDocument)


        Select Case pObject.Type

            Case DocumentTypeConstants.igWeldmentDocument

                Dim oWeldDoc As WeldmentDocument = pObject

                Dim k As Integer

                Debug.Print("DocName: " & pObject.FullName)

                For k = 1 To oWeldDoc.WeldmentModels.Count

                    Dim oWeldModel As WeldmentModel = oWeldDoc.WeldmentModels.Item(k)

                    ' Wie bekomme ich hier nun das eigentlich CAD-Object mit dem ich auch Proerties, etc. auslesen kann?
                    'Ich habe die eigenschaft "Document" gefunden. Hört sich eigentlich super an. Nur leider erhalte ich nicht das SolidEdge-Object des WeldModels,
                    'sondern meines ausgangsobjects
                    Dim MySubDoc As SolidEdgeDocument = oWeldModel.Document
                    Debug.Print("SubDocName: " & MySubDoc.FullName)
                    ' hier kommt leider wieder
                    ' -> D:\pools\sepool\Weld-Part.pwd

                    ' was muss ich hier tun, damit ich eine saubere Srukturauflösung bekomme?
                    ' Aufruf der Funktion, damit rekursive durchgelaufen wird.
                    TestFunc(MySubDoc)
                Next k

            Case DocumentTypeConstants.igPartDocument
                ' ...

            Case DocumentTypeConstants.igAssemblyDocument
                ' ...

        End Select

    End Sub


Ich habe in den Anhang mal meine Test-Schweißteil gehängt.

Vielen Dank schon mal für eure Hilfe.

Viele Grüße,
DieGraetsche

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Karsten09
Mitglied
SE-Rookie


Sehen Sie sich das Profil von Karsten09 an!   Senden Sie eine Private Message an Karsten09  Schreiben Sie einen Gästebucheintrag für Karsten09

Beiträge: 279
Registriert: 17.06.2009

Win 7 Pro; Intel Xeon W3530; 12 GB RAM; NVIDIA Quadro 4000; SpaceExplorer
Solid Edge 2019 MP4

erstellt am: 23. Mrz. 2010 08:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für DieGraetsche 10 Unities + Antwort hilfreich

Hallo DieGraetsche,

wolltest du nur ein wenig twittern oder hast du auch eine Frage (die ich aber bestimmt nicht beantworten kann)?

Gruß, Karsten.

------------------
"Das beste Werkzeug ist ein Tand, in eines tumben Toren Hand!"
Daniel Düsentrieb zitiert Konfuzius Peng (Fataler Rechenfehler, 1957)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

DieGraetsche
Mitglied
Informatiker


Sehen Sie sich das Profil von DieGraetsche an!   Senden Sie eine Private Message an DieGraetsche  Schreiben Sie einen Gästebucheintrag für DieGraetsche

Beiträge: 61
Registriert: 28.09.2007

erstellt am: 23. Mrz. 2010 09:38    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Sorry,
Meine Frage ist etwas versteckt im Code.

Mein Problem ist einfach. Wie kann ich eine saubere Strukturauflösung machen von einem Schweißteil aus?

Im Code (siehe unten) bekomme ich es leider nicht hin. Beim zugriff auf oWeldModel.Document erhalte ich wieder das Ausgangsdokument
-> D:\pools\sepool\Weld-Part.pwd und nicht wie vermutet. D:\pools\sepool\Weld-ASM.asm.

Habt ihre hierfür eine Lösung?`

Viele Grüße,
DieGraetsche

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

pablo
Mitglied
Techniker


Sehen Sie sich das Profil von pablo an!   Senden Sie eine Private Message an pablo  Schreiben Sie einen Gästebucheintrag für pablo

Beiträge: 429
Registriert: 23.01.2002

Win7
Office 2010
ST6 64bit

erstellt am: 23. Mrz. 2010 10:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für DieGraetsche 10 Unities + Antwort hilfreich

Servus DieGraetsche,

Den Namen der Assembly bekommst du  mit oWeldModel.Filename.

oWeldModel.Filename = D:\pools\sepool\Weld-ASM.asm
oWeldModel.Document.FullName = D:\pools\sepool\Weld-Part.pwd
Irgendeiner hat sich bestimmt etwas gedacht dabei.

pablo

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

DieGraetsche
Mitglied
Informatiker


Sehen Sie sich das Profil von DieGraetsche an!   Senden Sie eine Private Message an DieGraetsche  Schreiben Sie einen Gästebucheintrag für DieGraetsche

Beiträge: 61
Registriert: 28.09.2007

erstellt am: 23. Mrz. 2010 10:54    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo pablo,

Erst mal danke für deine Antwort.
Das mit dem filename ist schon mal nicht schlecht, leider brauche ich das reine Native-Objekt der Weldassembly, damit ich meine Funktion erneut aufrufen kann.

Viele Grüße,
DieGraetsche

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

edlich
Mitglied
Maschinenbautechniker


Sehen Sie sich das Profil von edlich an!   Senden Sie eine Private Message an edlich  Schreiben Sie einen Gästebucheintrag für edlich

Beiträge: 95
Registriert: 15.06.2001

SE St4/Sp4
Win 7
Xeon W3550 (4Core,3,07GHz)
Quadro 4000

erstellt am: 23. Mrz. 2010 13:15    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für DieGraetsche 10 Unities + Antwort hilfreich

Hallo,

um Objekte in de SE-Struktur zu finden, die nicht oder nicht richtig dokumentiert sind lässt sich sehr gut SESpy von Jason Newell nutzen.
http://www.jasonnewell.net/

Gruss

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Arne Peters
Ehrenmitglied V.I.P. h.c.
CAD Dokumentation / Training / Programmierung / Datenbanken


Sehen Sie sich das Profil von Arne Peters an!   Senden Sie eine Private Message an Arne Peters  Schreiben Sie einen Gästebucheintrag für Arne Peters

Beiträge: 6369
Registriert: 05.2002.24

Solid Edge Seminarunterlagen
Training, Beratung, Programmierung

erstellt am: 23. Mrz. 2010 13:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für DieGraetsche 10 Unities + Antwort hilfreich

Der Objectbrowser findet die da PartModels-Collection.

------------------
APeters@BSS-Online.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

DieGraetsche
Mitglied
Informatiker


Sehen Sie sich das Profil von DieGraetsche an!   Senden Sie eine Private Message an DieGraetsche  Schreiben Sie einen Gästebucheintrag für DieGraetsche

Beiträge: 61
Registriert: 28.09.2007

erstellt am: 23. Mrz. 2010 13:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ok, das mit der Struktur ist mir nun klar.

Vom Weldment muss ich durch die Liste der WeldmentModels

Jedes WeldmentModel wiederum hat dann PartModels. Ok das habe ich nun verstanden.

WeldDocument
  -> schleife durch die WeldmentModels
      WeldmentModel
          -> Schleife durch die PartModels
              PartModel
      ...
...

1. Wie bekomme ich ein custom-Property eines WeldmentModel-Dokumentes auszulesen?
2. und wie funktioniert dies bei einem PartModels-Dokuments

Wenn ich das noch hinbekomme, dann ist alles super.

Danke für eure super Hilfe,

Mfg,
DieGraetsche


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Arne Peters
Ehrenmitglied V.I.P. h.c.
CAD Dokumentation / Training / Programmierung / Datenbanken


Sehen Sie sich das Profil von Arne Peters an!   Senden Sie eine Private Message an Arne Peters  Schreiben Sie einen Gästebucheintrag für Arne Peters

Beiträge: 6369
Registriert: 05.2002.24

Solid Edge Seminarunterlagen
Training, Beratung, Programmierung

erstellt am: 23. Mrz. 2010 13:57    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für DieGraetsche 10 Unities + Antwort hilfreich

Wens'schon ein Dokument ist, scheint das OK.
Wenn's nur ein Model-Object ist, muss man evtl. das Parent nehmen? Weiß ich aber nicht aus dem Kopf.
Dann ganz normal die Fileproperties auselesen.

Und was bitte ist ein Native-Objekt?

------------------
APeters@BSS-Online.de

[Diese Nachricht wurde von Arne Peters am 23. Mrz. 2010 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

DieGraetsche
Mitglied
Informatiker


Sehen Sie sich das Profil von DieGraetsche an!   Senden Sie eine Private Message an DieGraetsche  Schreiben Sie einen Gästebucheintrag für DieGraetsche

Beiträge: 61
Registriert: 28.09.2007

erstellt am: 29. Mrz. 2010 08:52    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Arne,

Sorry fuer die Verspätung der Antwort.
Mit "NativeDocument" meine ich das SolidEdgeDocument.

Wenn ich bei dem WeldmentModel das .Document mache, dann erhalte ich das Weldment-Document. Beim .Parent, bekomme ich ebenfalls nur das Weldment-Document, aber nicht das "NativeDocument" des WeldmentModel.

Viele Grüße,
DieGraetsche

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

pablo
Mitglied
Techniker


Sehen Sie sich das Profil von pablo an!   Senden Sie eine Private Message an pablo  Schreiben Sie einen Gästebucheintrag für pablo

Beiträge: 429
Registriert: 23.01.2002

Win7
Office 2010
ST6 64bit

erstellt am: 29. Mrz. 2010 10:45    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für DieGraetsche 10 Unities + Antwort hilfreich

Graetsche,
Zitat:
Original erstellt von DieGraetsche:

Mit "NativeDocument" meine ich das SolidEdgeDocument.

Du hast oWeldModel.Filename, um das Öffnen des Dokuments wirst du nicht herumkommen, das geht im UI auch nicht anders.

pablo


Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

DieGraetsche
Mitglied
Informatiker


Sehen Sie sich das Profil von DieGraetsche an!   Senden Sie eine Private Message an DieGraetsche  Schreiben Sie einen Gästebucheintrag für DieGraetsche

Beiträge: 61
Registriert: 28.09.2007

erstellt am: 29. Mrz. 2010 11:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke Pablo für deine Antwort.

Na dann muss ich es wohl so machen, besten Dank an alle für die super Hilfe.

Mfg,
DieGraetsche

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2019 CAD.de | Impressum | Datenschutz